> This page is for Itential Platform Cloud.

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs-test.itntl.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs-test.itntl.com/_mcp/server.

# Get aggregate task metrics

GET https://example.itential.io/workflow_engine/tasks/metrics

Searches aggregate task metrics with options.

Reference: https://docs-test.itntl.com/itential-cloud/api-reference/workflow-engine/get-task-metrics

## Authentication

- `Authorization` header (basic auth, required) — Basic authentication of the form `Basic <base64(username:password)>`.

## Request

### Query parameters

- `order` (enum, optional, default: 1) — order
  - Allowed values: `-1`, `1`
- `sort` (string, optional, default: workflow.name) — sort
- `skip` (integer, optional) — skip
- `limit` (integer, optional) — limit
- `greaterThanEquals` (integer, optional) — Date value to compare with greaterThanEqualsField, in time elapsed (milliseconds) since UNIX epoch.
- `greaterThanEqualsField` (enum, optional) — Date field to compare.
  - Allowed values: `metrics.startDate`
- `equals` (string, optional) — String value to compare with equalsField.
- `equalsField` (enum, optional) — Field to compare with equals value.
  - Allowed values: `workflow.name`

## Response

### 200

metrics

- `results` (list of workflow_engine_jobMetricsDocument, optional)
- `skip` (integer, optional) — The number of documents skipped before returning data. When 0, no data is skipped.
- `limit` (integer, optional) — Specifies a limit to the maximum number of data results returned.
- `total` (integer, optional) — The total number of documents returned from a search.

## Errors

### 500 Internal Server Error

Error response from API

- `any`

## Types

### workflow_engine_jobMetricsDocument

- `_id` (string, required) — String representation of a MongoDB ObjectId
- `workflow` (WorkflowEngineJobMetricsDocumentWorkflow, required)
- `metrics` (list of WorkflowEngineJobMetricsDocumentMetricsItems, required) — Aggregate job metrics collected on a weekly basis
- `preAutomationTime` (integer, optional) — Time (milliseconds) automation would have taken someone to complete without using IAP.

### WorkflowEngineJobMetricsDocumentWorkflow

- `name` (string, optional)
- `_id` (string, optional)

### WorkflowEngineJobMetricsDocumentMetricsItems

- `jobsComplete` (integer, required) — Total number of jobs complete for automation for the week starting at startDate.
- `totalRunTime` (integer, required) — Total run time (milliseconds) of jobs complete for automation for the week starting at startDate.
- `totalManualTime` (integer, required) — Total time (milliseconds) spent working manual a task for automation for the week starting at startDate.
- `slaTargetsMissed` (integer, required) — Total number of sla targets that were missed for an automation for the week starting at startDate.
- `startDate` (string, required) — Metrics are collected on a weekly interval, starting at startDate

## Examples

**Response**

```json
{
  "results": [
    {
      "_id": "4321abcdef694aa79dae47ad",
      "workflow": {
        "name": "exampleAutomationName",
        "_id": "4321abcdef694aa79dae47ad"
      },
      "metrics": [
        {
          "jobsComplete": 10,
          "totalRunTime": 200,
          "totalManualTime": 200,
          "slaTargetsMissed": 5,
          "startDate": "2018-08-02T15:56:12.912Z"
        }
      ],
      "preAutomationTime": 5000
    }
  ],
  "skip": 0,
  "limit": 50,
  "total": 100
}
```

**SDK Code**

```python
import requests

url = "https://example.itential.io/workflow_engine/tasks/metrics"

querystring = {"equals":"exampleName","equalsField":"workflow.name","greaterThanEquals":"1617383798468","greaterThanEqualsField":"metrics.startDate","limit":"50","skip":"0"}

response = requests.get(url, params=querystring)

print(response.json())
```

```javascript
const url = 'https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://example.itential.io/workflow_engine/tasks/metrics?equals=exampleName&equalsField=workflow.name&greaterThanEquals=1617383798468&greaterThanEqualsField=metrics.startDate&limit=50&skip=0")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```